U++ - Bug #620
Undefined variables in GtkKeys
12/29/2013 10:13 AM - Jan Dolinar

Status: Approved Start date: 12/29/2013
Priority: Low Due date:

Assignee: Jan Dolinar % Done: 0%
Category: CtriCore Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

In latest nightly builds (6698 and 6702) on Ubuntu 10.04 Lucid Lynx, there is a problem when building ThelDE:

In file included from uppsrc/CtriCore/MKeys.h:3,

from uppsrc/CtriCore/CtrlCore.h:81,

from /build/buildd/upp-6702/uppsrc/CtriLib/CtriLib.h:4,

from /build/buildd/upp-6702/uppsrc/CtrlLib/CtrlLib.icpp:1:
uppsrc/CtriCore/GtkKeys.h:12: error: '"GDK_KEY_Delete' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:14: error: '"GDK_KEY_Shift_L' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:15: error: 'GDK_KEY_Control_L' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:16: error: 'GDK_KEY_Alt_L' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:17: error: 'GDK_KEY_Caps_Lock' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:18: error: 'GDK_KEY_Page_Up' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:19: error: 'GDK_KEY_Page_Up' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:20: error: 'GDK_KEY_Page Down' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:21: error: 'GDK_KEY_Page_Down' was not declared in this scope
uppsrc/CtrlCore/GtkKeys.h:22: error: 'GDK_KEY_End' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:23: error: '"GDK_KEY_Home' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:24: error: '"GDK_KEY_Left' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:25: error: '"GDK_KEY_Up' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:26: error: '"GDK_KEY_Right' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:27: error: '"GDK_KEY_Down' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:28: error: '"GDK_KEY _Insert' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:30: error: '"GDK_KEY_KP_Q' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:31: error: '"GDK_KEY_KP_1' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:32: error: '"GDK_KEY_KP_2' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:33: error: '"GDK_KEY_KP_3' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:34: error: '"GDK_KEY_KP_4' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:35: error: '"GDK_KEY_KP_5' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:36: error: '"GDK_KEY_KP_6' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:37: error: '"GDK_KEY_KP_7' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:38: error: '"GDK_KEY_KP_8' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:39: error: '"GDK_KEY_KP_9' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:40: error: 'GDK_KEY_KP_Multiply' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:41: error: 'GDK_KEY_KP_Add' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:42: error: '"GDK_KEY_KP_Separator' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:43: error: '"GDK_KEY_KP_Subtract' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:44: error: '"GDK_KEY_KP_Decimal' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:45: error: 'GDK_KEY_KP_Divide' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:47: error: '"GDK_KEY_Scroll_Lock' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:49: error: '"GDK_KEY_F1' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:50: error: '"GDK_KEY_F2' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:51: error: '"GDK_KEY_F3' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:52: error: '"GDK_KEY_F4' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:53: error: '"GDK_KEY_F5' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:54: error: '"GDK_KEY_F6' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:55: error: '"GDK_KEY_F7' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:56: error: '"GDK_KEY_F8' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:57: error: '"GDK_KEY_F9' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:58: error: '"GDK_KEY_F10' was not declared in this scope
uppsrc/CtrlCore/GtkKeys.h:59: error: 'GDK_KEY_F11' was not declared in this scope
uppsrc/CtrlCore/GtkKeys.h:60: error: 'GDK_KEY_F12' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:62: error: '"GDK_KEY_A' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:63: error: '"GDK_KEY_B' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:64: error: '"GDK_KEY_C' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:65: error: '"GDK_KEY_D' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:66: error: '"GDK_KEY_E' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:67: error: '"GDK_KEY_F' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:68: error: '"GDK_KEY_G' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:69: error: '"GDK_KEY_H' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:70: error: '"GDK_KEY_I" was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:71: error: '"GDK_KEY_J' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:72: error: '"GDK_KEY_K' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:73: error: '"GDK_KEY_L' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:74: error: '"GDK_KEY_M' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:75: error: '"GDK_KEY_N' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:76: error: 'GDK_KEY_QO' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:77: error: '"GDK_KEY_P' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:78: error: 'GDK_KEY_Q' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:79: error: 'GDK_KEY_R' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:80: error: '"GDK_KEY_S' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:81: error: '"GDK_KEY_T' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:82: error: '"GDK_KEY_U' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:83: error: '"GDK_KEY_V' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:84: error: '"GDK_KEY_W' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:85: error: 'GDK_KEY_X' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:86: error: '"GDK_KEY_Y" was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:87: error: '"GDK_KEY_Z' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:88: error: '"GDK_KEY_0' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:89: error: '"GDK_KEY_1' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:90: error: '"GDK_KEY_2' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:91: error: '"GDK_KEY_3' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:92: error: '"GDK_KEY_4' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:93: error: '"GDK_KEY_5' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:94: error: '"GDK_KEY_6' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:95: error: '"GDK_KEY_7' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:96: error: 'GDK_KEY_8' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:97: error: 'GDK_KEY_9' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:99: error: '"GDK_KEY_bracketleft' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:100: error: 'GDK_KEY _bracketright' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:101: error: 'GDK_KEY_minus' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:102: error: 'GDK_KEY_grave' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:103: error: 'GDK_KEY _slash' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:104: error: 'GDK_KEY _backslash' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:105: error: 'GDK_KEY_comma' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:106: error: 'GDK_KEY _period' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:107: error: 'GDK_KEY _semicolon' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:108: error: 'GDK_KEY _equal' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:109: error: 'GDK_KEY _apostrophe' was not declared in this scope
uppsrc/CtriCore/GtkKeys.h:111: error: 'GDK_KEY_Break' was not declared in this scope

Full log: https://launchpadlibrarian.net/160977137/buildlog_ubuntu-lucid-amd64.upp_6702-1~lucid0_FAILEDTOBUILD.txt.gz

I'd suggest to drop support for Lucid, it is over 3 years old system and this is not a first time it causes problems. The official end of life date
is coming soon anyway - in April.

History

#1 - 01/05/2014 12:09 PM - Jan Dolinar

Just noticed that this happens also on Debian 6.0...

https://build.opensuse.org/build’home:dolik rce:nightly/Debian 6.0/i586/Upp/ log

Debian Squeeze was released in 2011, so it is not really fresh distro, but not as old as Ubuntu Lucid. AFAIK Debian 6.0 will be officially supported till about
May 2014, so we still can just wait few months and this issue will solve by itself :)

#2 - 01/07/2014 01:37 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Jan Dolinar

Fixed to compile in debian 6. However, | have decided not to support drag&drop for gtk < 2.22 (which is Debian 6).

#3 - 03/10/2014 01:16 PM - Miroslav Fidler
- Status changed from Ready for QA to Approved
